Version 2.9 (5/12/2015)
* FileMaker 14 compatibility release
* Plugin updates to usage with PSOS and server scheduled scripts
* Plugin updates to install plugin and auto-update

Version 2.899 (12/16/2014)
* Updated certificate used to sign SuperContainer applet
* CoreImageResizer is now executed as a separate process to ensure better stability and memory management
* Colons are now stripped from file names if SuperContainer is deployed on Windows to ensure legal file names

Version 2.897 (3/19/2014)
* Fixed companion plugin to work with SingleFile and RawData URLs
* Compatibility fix for "Automatically encode URL" web viewer setting, new in FileMaker Pro 13

Version 2.896 (1/15/2013)
* Compatible with Java 7 update 51
* Fixed issue with retrieving and decoding downloaded file name, with the companion plugin
* Fixed issue with detecting the machine hostname when using standalone mode

Version 2.892 (6/25/2013)
* Fixed a bug in the supercontainer.php upload function

Version 2.89 (6/21/2013)
* Removed Java applet from both Mac and Windows, now 100% HTML 5
* Optional companion plugin now 64 bit for deployment in Custom Web Publishing in FMS 12
* New error reporting features in companion plug-in
* Compatible with Java 7 Update 25

Version 2.88 (4/19/2013)
* Thumbnail image generation improvements

Version 2.871 (4/15/2013)
* Fixed a build issue in the Windows version of the plugin
* Adjusted cookie handling in the plugin, looks like cookies headers are modified sometimes

Version 2.87 (4/8/2013)
* Fixed file name encoding issues in the HTML UI
* Fixed a bug in SuperContainer applet that caused the upload directory to contain %20 if folder names contain spaces
* Fixed an issue when uploading files with spaces in the name, this is only an issue when deploying on Windows with IIS7
* Allow upload from iPhone / iPad / iPod, if they are running iOS 6 or later
* Better handling of international characters in filenames and URLs
* Can now generate thumbnails for more types of TIFF files when deployed with Tomcat
* Logging improvements when unable to generate thumbnails
* Fixed thumbnail generation issue when deploying in FSM12 Web Publishing
* Greatly improved speed of SCSetBaseURL function call execution
* Fixed a memory leak in the SuperContainer companion plugin that caused sessions to steadily grow on the server
* Documentation fixes

Version 2.864 (7/10/2012)
* Updated certificate used to sign SuperContainer applet
* Fixed issue with passing URL encoded parameters
* Fixed documentation on the necessary reloading of Web Viewers after SCDelete, SCMove, and SCSetContainer()
* Fixed localization issue in the SCGetInfo() and SCGetContainer() functions
* Minor adjustment to Windows version of SuperContainer HTML view to remove "[Drag a file to upload]" label, IE does not support HTML5 drag and drop

Version 2.863 (4/24/2012)
* Fixed an issue with uploads using plugin or applet when server is deployed with FMS Web Publishing

Version 2.862 (4/20/2012)
* Fixed installation issue with FMS12
* Fixed upload size limitation when using SuperContainer Companion plug-in

Version 2.861 (4/9/2012)
* Fixed issue introduced in 2.86, that would default the registration to "Demo mode"
* Fixed issue introduced in 2.86 that prevented from uploading when SuperContainer was deployed with FMS WPE 11 on Windows

Version 2.86 (4/4/2012)
* FileMaker 12 compatibility release
* Added optional filename parameter for SCCopy and SCMove
* Plugin functions now support full SuperContainer URLs instead of only the partial folder path
* Plugin correctly unzips directories/bundles which were auto-zipped on upload
* Fixed SCScanDirectory returning empty list when path does not exist

Version 2.852 (12/27/2011)
* File modification date on downloads with the plugin or applet are now set to match the file upload date to SuperContainer.
* Fixed Java 1.5 compatibility issue introduced in 2.85
* Added SCCopy plugin function

Version 2.85 (12/19/2011)
* HTML drag and drop support in OS X
* Fixed prompt for credentials in browser when URL parameters were set.

Version 2.831 (11/10/2011)
* Fixed deployment problem with 2.83

Version 2.83 (11/10/2011)
* Fixed issue in SuperContainer companion plugin that prevented SCSetBaseURL from correctly authenticating, when using username/password security setting in SuperContainer server.
* Drag-and-drop is now disabled in Snow Leopard and Lion due to a bug in FileMaker/Safari that causes FileMaker to crash when a Java applet is loaded in a web viewer.

Version 2.82 (9/2/2011)
* Switch to noapplet mode for Safari 5.1, because Safari 5.1 does not support drag & drop for Applets
* Added support for thumbnails of Nikon RAW image formats when running in standalone mode on OS X
* Now if log file can't be written, the server does not close but displays an information dialog stating the problem after stopping the server.

Version 2.81 (7/20/2011)
* Last minute fix to an issue where Java applets would not load in a web viewer with the SuperContainer companion plugin installed.

Version 2.8 (7/14/2011)
* Now displays file information if the info style is selected (by appending '?style=info' to the SuperContainer URL)
* Using the 'no applet' mode now correctly respects the 'noupload' style (by appending '?style=noapplet+noupload' to the SuperContainer URL)
* Browser window title now displays correct document title
* style=title and style=info now display reliably for both applet and html modes

* OS X 10.7 (Lion) compatibility notes:
SuperContainer prior to version 2.8 used a Java applet to display in the web viewer. However, applets do not work correctly in Lion.
Therefore, SuperContainer 2.8 uses an HTML upload process in place of a Java applet, which is compatible with Lion. See the 'Applet vs. NoApplet' section of the documentation
for more information on what this change means.

We have reported the Java applet bugs to Apple, and if they are resolved in a Java update at some point, we will remove the restriction that prevents
Lion from running in applet mode.

Version 2.793 (4/29/2011)
* Added quicklook support for thumbnail generation on Mac 10.5+
* Changed session timeout on standalone version to 5 days, to solve problem of timeout after leaving SuperContainer running overnight.

Version 2.792 (2/1/2011)
* Fixed an issue with SCGetContainer introduced in 2.791, SCGetContainer would fail if it's the first function called.

Version 2.791 (1/24/2011)
* Fixed issues with Auto-Update on Mac and Windows.  Plugins prior to this version will need to be removed from the Auto-Update directory, we've put together an applet to take care of this http://www.360works.com/remove-plugins/.  Perviously, FileMaker needed to be restarted after Auto-Update on Mac, and on Windows the update had to be performed manually in some cases; this update takes care of both issues.

Version 2.79 (1/18/2011)
* Added compatibility to the SuperContainer applet for any Tomcat managed security and authentication settings, such as NTLM, Active Directory, LDAP, etc.
* Issue was resolved that was only allowing one plugin at a time to load on Windows 7 and Windows Server 2008r2.
* Logging is now consolidated to a single log file for all 360Works plug-ins. This should make it easier to report issues to 360Works, and will also significantly reduce the amount of disk space used when running multiple 360Works plugins on FileMaker Server.

Version 2.78 (1/6/2011)
* Fixed text disappearing in the applet view when reloading in Safari
* Fixed zip creation on Windows
* Removed duplicate "paste" popup menu item
* Added custom authentication compatibility to the applet
* Improved server-side error reporting for SCMove action
* Fixed error reporting when supplying empty height and width params in "noapplet" mode

Version 2.77 (11/01/2010)
* Renders .tga images on the mac
* Added "paste" popup menu
* Fixed potential hang caused by quickly closing FileMaker window while SuperContainer applet is in the middle of loading
* Fixed error caused by calling SCSetContainer when using the plugin within IWP
* Fixed zip creation bug on Windows, when uploading a folder
* Fixed error caused by putting a width or height parameter without an actual value

Version 2.76 (8/27/2010)
* Faster performance when rapidly calling plugin functions, such as scrolling through a list or portal and calling SCGetInfo for each record.

Version 2.75 (8/11/2010)
* Seamless support for iPhone and iPad in FileMaker Go:
** Automatically switches from Java applet mode to HTML mode.
** Removes 'upload' and 'delete' buttons (since you cannot upload new files in Safari mobile)
** Auto-detects window size in HTML mode, so that generated thumbnails are sized to fit iPhone / iPad web viewer display size.
** Added support for HTTP byte-range streaming, which is needed for streaming QuickTime movies to iPhone / iPad.
* Bug fix for Windows Server 2008 R2, now correctly identifies the OS.

Version 2.748 (7/12/2010)
* Updated licensing architecture

Version 2.747 (7/7/2010)
* Fixed a bug with grainy previews of EPS and PDF files when zoomed to very small sizes (<.03 zoom factor)
* Updated SSL code signing certificate in the applet
* Updated Installer.jar for Snow Leopard
* Fixed issue with SCDownload where downloaded images were 1px off

Version 2.746 (5/20/2010)
* Handles Japanese characters better in uploaded file names
* Fixed bug where the 'checkForFile' flag in the SCDownload function was being ignored. This works correctly now, and will prompt the user
before overwriting an existing file on their local computer.
* Fixed resolution, width, and zoom parameters so that they now work correctly for both bitmap and PDF files.
* Vector PDFs can be zoomed to any size with any resolution and retain high quality.
* Now sets the DPI metadata in thumbnails with a requested resolution parameter
* Fixed alignment issues on windows, and when printing
* Noapplet style now defaults to center-aligned (like the applet)

Version 2.745 (4/23/2010)
* Fixed a bug that prevented the user of Tomcat's built-in authentication schemes, ie. LDAP authentication.

Version 2.744 (4/8/2010)
* Fixed an issue with re-entrant calls to the plugin.
* Fixed an issue with the first page preview for PDF documents.

Version 2.743 (3/29/2010)
* Standalone version now automatically quits in 15 seconds if the user does not make a selection in the quit dialog.
This will fix issues with SuperContainer in standalone mode preventing automated server restarts.
* Fixed an issue with RawData URLs loading the preview instead of the original file, if a preview was generated
* Fixed "style=nolink" behavior
* SCGetContainer function is now more memory efficient
* Fixed "style=center" behavior in Preview mode

Version 2.742 (3/8/2010)
* Fixed intermittent problem where plugins may not load in Windows XP in FileMaker 11

Version 2.741 (3/1/2010)
* Fixed debugging code left in the 2.74 build that always prompted the user for a password

Version 2.74 (2/25/2010)
* Fixed problems that could occur when using the SuperContainer companion plugin with the password protection feature

Version 2.73 (2/12/2010)
* Fixed bug introduced in 2.7 where SCChooseFile could return corrupt results. This only happens on Windows XP, and only when using SCChooseFile
on the same layout as an unstored calculation which references the SuperContainer companion plugin.

Version 2.72 (2/2/2010)
* Fixed potential crash when running in standalone mode when generating thumbnails
* Fixed the path SCChooseFile returns on Windows, now returns path with a leading slash

Version 2.71 (1/29/2010)
* Fixed an issue with Installer.jar on Windows x86

Version 2.7 (1/28/2010)
* Support for "noscroll" style, to disable scroll bars on very small web viewers
* Fix for FireFox bug in noapplet style
* Fix for uploads containing special characters :\/
* Fix for "resolution" parameter on Mac OS X standalone
* Fixed bug where generating thumbnails that have just a maxWidth or maxHeigh set (but not both) would sometimes result in the wrong dimensions
* Now displays visible error message unless SetErrorCapture is on
* Fixed situations where modal dialogs could appear behind other windows in MS Windows
* Fixed plugin not loading in Java 6 update 18

Version 2.64 (11/4/2009)
* SuperContainer now renders EPS, PostScript, and Adobe Illustrator files (this feature was lost in the switch to Snow Leopard in 2.6, now it is working again)
* Applet now does a multi-threaded load, so you get a status message if the server is slow for some reason.

Version 2.631 (9/25/2009)
* Fixed a problem with the 2.63 build; on OS X it would not run on anything older than Snow Leopard

Version 2.63 (9/23/2009)
* SCDelete was not deleting empty parent folder
* Fixed problem uploading files from the /tmp directory, cause by Snow Leopard
* Fixed problem where FileMaker window would sometimes stay in the foreground after a SuperContainer error message
* Windows 7 compatibility changes
* Specifying a background color with a style parameter works correctly now in applet mode, e.g.: background-color=#FFCC66 or background-color=rgb(0,100,200)

Version 2.62 (9/8/2009)
* Fixed build error in 2.61 which broke compatibility with Snow Leopard

Version 2.61 (8/31/2009)
* Fixed compatibility problems with PDFs in Leopard

Version 2.6 (8/27/2009)
* Snow Leopard compatibility release
* Rewrote preview generation for Snow Leopard
* Fixed 'flashing' problem on OS X caused by Mac OS X Java Update 4
* Applet supports background-color style
* SuperContainer plugin now includes the 'Report a bug' feature in the plugin preferences window

Version 2.58 (7/16/2009)
* Fixed non-centered file chooser dialog

Version 2.57 (7/14/2009)
* Fixed non-centered file chooser dialog
* Fixed authentication error bug in Installer.jar

Version 2.56 (7/8/2009)
* Updated code signing certificate

Version 2.55 (7/7/2009)
* Fixed bug in SCGetContainer on OS X which could sometimes cause FileMaker to hang
* Plugin progress dialogs are centered correctly on screen

Version 2.54 (7/3/2009)
* Added embeddable username and password parameters, for example: http://myhost/SuperContainer/Files/test?username=x&password=y

Version 2.53 (7/1/2009)
* Fix for header date parsing in some Locales

Version 2.52
* Compatibility fix for most recent java update (1.6.0_13, 1.5.0_19, 1.4.2_21) on Mac OS X

Version 2.5 (6/22/2009)
* Significant speed improvements when using applet
* Support for specifying page number for PDF rendering (when running in CoreImage mode)
* Added "delete" keyboard shortcut on client, click an item to focus and hit the delete key to delete (with dialog).
* Paste support in applet, for uploading a file from your clipboard to SuperContainer (just click into SuperContainer and paste a file)
* Added "showProgress" parameter for companion plugin, to hide the progress bar during upload.
* French localization for SuperContainer server (thanks, Marc Lamouret, TurboPige.com)
* Plugin works better with .app bundles on OS X (scanning and uploading of applications are supported)

Version 2.272 (4/20/2009)
* Fixed whitespace at the bottom of web viewer if no delete/upload button is visible.
* Fixed "style=showdelete+noapplet" style combination on windows, delete button was not visible
* Fixed SCGetContainer and SCDownload to create a non-conflicting download folder in the temp directory

Version 2.271 (2/14/2009)
* Added resolution parameter to SCGetContainer function

Version 2.27 (2/13/2009)
* Fixed tomcat not being able to generate thumbnails on some machines (server)
* Hide the "delete" button by default - use the "style=showdelete" if you want to display this.

Version 2.262 (1/30/2009)
* Added a filename parameter to SCSetContainer plugin function

Version 2.261 (1/30/2009)
* Fixed compatibility issues with SuperContainer Companion Plugin when running on Server 10 and IWP
* Further improvements to windows file launches from the applet

Version 2.25 (1/29/2009)
* Nicer save dialog when right-clicking in the applet and choosing "Save File" (uses a native save dialog)
* Improved caching of resources by the applet, better performance over wide-area network
* Fixed error when downloading and launching auto-zipped archives on windows (applet)

Version 2.2 (1/13/2009)
* Progress bar can be disabled in SCDownload function, automatically disabled on the server (improves stability).
* Fixed bugs running server on linux

Version 2.1.9 (12/2/2008)
* Fixed an issue with launching files containing [&^();, ] characters on Windows.

Version 2.1.8 (11/25/2008)
* bug fixes to Installer.jar, added remove option.
* changes to registration behavior to prevent loss of registration info after restart.

Version 2.1.7 (11/24/2008)
* Corrected bug in SCDownload's save dialog

Version 2.1.6 (11/13/2008)
* Added SCDeleteLocalFile plugin function (plugin)
* Path for SCChooseFile returning -1 prefix in some mac environments.

Version 2.1.5 (11/11/2008)
* Plugin correctly uploads PDF files which were inserted as images on Mac OS

Version 2.1.4 (11/7/2008)
* Fixed issue with webviewer showing all black when plugin is enabled

Version 2.1.2 (11/1/2008)
* Fixed NoClassDefFoundError on launch

Version 2.1.1 (10/31/2008)
* Modified SCDownload behavior to include an optional file overwrite warning and overwrite name.
* Added SCMoveLocal for moving local files

Version 2.1 (10/25/2008)
* Fixed applet caching bug, where sometimes the preview image would not be updated when replacing an old image with a new one.

Version 2.09 (10/14/2008)
* Added support for Windows Vista, which does not have a default Documents and Settings path

Version 2.081 (10/14/2008)
* Modified Applet Event Listener to recall last used directory of user.
* Plugin fix to properly close all local files after uploading

Version 2.08 (10/10/2008)
* Added ability to store the simpleAuthPasswordHash password as encrypted text in the web.xml configuration file, to avoid storing the password in plain text on the server.

Version 2.071 (10/3/2008)
* No longer requires a demo license to run in demo mode

Version 2.07 (10/1/1008)
* SuperContainer can now handle files larger than 2 GB (affects plugin & server)
* Fixed very long file names (>58 characters) which displayed oddly (affects server)
* New plugin function SCClearLocalCache clears any temporary local SuperContainer files
* Plugin fix for folderPaths containing URL information, e.g. SCDownload("Users/11?style=nodelete"). Any URL arguments are stripped.

Version 2.061 (9/21/2008)
* Changed SCDownload() plugin function to accept width and height parameters

Version 2.06 (9/12/2008)
* Transparent PNG, GIF source files generate transparent thumbnails (except when viewed as JPGs in IWP)
* Fixed style=listview display on mac
* "listview" style uses default width/height of 64px.  This can be overridden by specifying a width/height in the URL.
* Plugin Correctly handles file URLs with escaped spaces

Version 2.05 (9/6/2008)
* Added a user-friendly dialog if user doesn't trust the applet, instead of throwing Java errors
* Fixed a Windows-only bug where some files could not be overwritten.

Version 2.042 (8/22/2008)
* Folder uploads were not displaying correctly in Windows. This is fixed.

Version 2.041 (8/15/2008)
* Added image_only style to the applet. This hides the upload and delete buttons but keeps them in the right-click menu.

Version 2.04 (8/4/2008)
* Fixed a bug where SuperContainer tried to use CoreImage when running as a background service

Version 2.03 (7/26/2008)
* Fixed a bug where the noapplet style was not working

Version 2.02 (7/23/2008)
* Fixed a serious problem where the full resolution was being loaded in addition to the thumbnail. This was causing long delays on loading large images remotely.
* Added a favicon

Version 2.01 (7/17/2008)
* Documentation Improvements
* Improved error reporting for registration timeouts and file system permission errors
* Installer improvements for upgrading existing installations

Version 2.0 (7/14/2008)
* Major release with many new features
* Drag and drop support
* Progress bars on upload
* PHP API
* Java API (Contact 360Works for more info)
* Upload folders and multiple items
* Upload OS X packages
* Standalone SuperContainer server running on OS X uses CoreImage for rendering (renders PDFs, EPS, etc)

Version 1.856 (5/6/20080)
* Plugin & Server: Better cross platform handling of hidden files.

Version 1.855 (4/24/2008)
* Plugin: Significant bug fixes in SCChooseFile and SCGetContainer functions.

Version 1.854 (4/8/2008)
* Plugin & Server: Support for MD5 hash generation in the SCGetInfo plugin function.

Version 1.853 (4/7/2008)
* Plugin: Fixed possible incompatibility when multiple plugins are installed

Version 1.852 (2/26/2008)
* Server: Formats modification date display in the locale of the browser, not the server

Version 1.851 (2/14/2008)
* Server: Fixed a problem with OS X Core Image processing on very large EPS files

Version 1.85 (2/6/2008)
* Server: Better cross-platform support for displaying correctly sized images when SuperContainer cannot create a thumbnail.
* Plugin: Improvements to speed and stability when downloading files from SuperContainer to the local machine via the plugin.
* Plugin: Downloading PDF files from a server which is using OS X Core Imaging displays an image if max width or height is specified (this means you can now view PDF thumbnails in portals).

Version 1.841 (2/6/2008)
* Changes to Mac-only image resizer with OS X Core Imaging - continues to use this, even if one image does not work

Version 1.84 (2/5/2008)
* Fixes to how file paths are converted between the FileMaker path format (includes volume name) and OS X format (does not include volume name)
* Fix bug when uploading large number of files with SCSetContainer - previously froze up after about 300 uploads.

Version 1.83 (2/4/2008)
* Better handling of gigantic file sizes; now returns original unresized file to browser without running out of memory

Version 1.82 (1/29/2008)
* Now embeds a width attribute into the <img> tag, even if it cannot resize the image. This means that it will display correctly in your browser / web viewer, although you are downloading the full size image and then it is being shrunk down in the browser.
* Fixed a problem where SCGetContainer plugin function could return this error: "Can't start the AWT because Java was started on the first thread"
* Fixed some memory leaks in the companion plugin; could cause excessive memory usage when used thousands of times.
* Better error reporting

Version 1.8 (1/11/2008)
* Fixed image resizing for large images (image exceeds threshold size...)

Version 1.78 (12/14/2007)
* Improved loading files from URLs, e.g. google charts.
* Fixed bug where setting width and height parameters larger than the source image caused a broken image icon to appear.

Version 1.77
* Fixed re-introduction of image resizing bug where thumbnails were tiled inside each other.

Version 1.76
* Fixed problems with GUI functions in Leopard
* Dutch localization (Thanks Ruben van den Boogaard!)
* Better error reporting when uploading an empty container

Version 1.75
* OS X Leopard compatibility fix for plugin & server
* Fixed image resizing bug where thumbnails were tiled inside each other

Version 1.74
* Fixed transparent image types
* Fixed bug in SCSetContainer, SCGetContainer which could cause FileMaker to hang on some platforms.

Version 1.73
* "Move" support, via the SCMove plugin function.

Version 1.72
* Better parsing of international http date headers
* Allow registration information to be entered in the web.xml file, overriding system-wide registration settings.  This is useful for multi-instance tomcat deployments.

Version 1.71
* If you call the SCGetContainer plugin function with a maxWidth or maxHeight, any non-image file now returns only the filename, not the file contents.
	This is very useful for displaying SuperContainer files within portals!
	If you want to download a non-image file into a container, do not pass a maxWidth or maxHeight.
	See the new "Portals" section in the example file / plugin section for more info.
* Fixed excessively long timeout in SCSetBaseUrl when the host is unreachable (it now times out in 10 seconds)
* Support for shared hosting, running multiple SuperContainer instances in Tomcat

Version 1.70
* Now compatible when deployed with Tomcat in FileMaker Server Advanced 9
* File names with spaces now download correctly in Firefox
* Improved error reporting and logging
* Added icons for many new file types (big thanks to Productive Computing)
* .wmv movies now display correctly as movies in IE6
* Refreshes all cached thumbnails when a new file replaces an old one

Version 1.69
* Improved the dialog for SCChooseFile.
* Documentation for deploying on FM server 9

Version 1.68
* Fix for "Unable to read binary data" when calling SCSetContainer on a container with no name (this happens when a container's contents are pasted in sometimes).
* If SCSetBaseURL is called with an invalid URL, it will discard the value.  This improves error reporting for subsequent plugin calls.

Version 1.67
* Now supports international characters sets in file names
* SCDownload plugin function handles custom paths better.  For instance, using Get(DesktopPath) as the second parameter now saves a file to your desktop.
* SCSetContainer plugin function exports TIFF container contents as TIFF, not JPEG.
* SCGetInfo plugin function: modification date (the third value) can now be parsed by the "GetAsTimestamp" FileMaker function
* Better feedback for 2-hour demo mode registration timeout

Version 1.66
* Better error reporting with SCDownload if file does not exist.
* You can now call SCSetBaseUrl more than once with different usernames and passwords.

Version 1.65
* Added a parameter to SCChooseFile to allow selection of directories. This can be useful for batch import operations.

Version 1.64
* Added SCDownload plugin function, downloads and caches a file from SuperContainer to the local filesystem.

Version 1.63
* Moved thumbnails to same parent directory as SuperContainer/Files
* Fixed memory leak when writing JPG thumbnails
* Fixed SCGetContainer plugin function saving PDFs as images (this was causing strange behavior in IWP).

Version 1.62
* Added background-color URL parameter
* Improved thumbnail image quality

Version 1.61
* Fixed out-of-memory exception when dealing with large numbers of images
* Fixed some un-parseable images which caused CPU to spike.

Version 1.6
* Plugin fixes for paths containing spaces, file names with no extension.

Version 1.54
* Disabled mac-specific libs due to stability issues

Version 1.53
* Fixed regression resize bug from 1.52 when running in Tomcat on OS X

Version 1.52
* Fixed bug when storing files on mounted network volume

Version 1.51
* Bug fixes in plugin

Version 1.5
* Uses OS X graphics libs for rendering additional image formats.  As of OS X 10.4, the following formats are supported:
	RAW (.dng, .cr2, .crw, .raf, .dcr, .mrw, .nef, .orf, .srf), FlashPix (.fpx, .fpix),
	MacPaint (.ptng, .pnt, .mac), OpenEXR (.exr), Photoshop (.psd), QuickTime Import Format (.qti, .qtif),
	Radiance (.hdr), SGI (.sgi), Targa (.targa, .tga), Windows Cursor (.cur), XWindow bitmap (.xbm)
* Bug fix in plugin SCGetInfo function (was returning incorrect file size)
* Improved web viewer caching (using last-modified headers)

Version 1.44
* Plugin support for container references
* If an image can't be rendered for some reason, return the full-size image instead

Version 1.43
* Hide passwords embedded in the URL when opening a file in browser window
* Added "nolink" style to disable clickable hyperlink
* Plugin fix for password-protected SuperContainer instances

Version 1.42
* Added authentication support to Companion Plugin

Version 1.41
* Hi-resolution printing support via the new "resolution" parameter.
* Support for more image formats: TIFF, RAW, JPEG2000
* Bug fix during standalone server startup on some JVMs

Version 1.4
* Password protection option in standalone and tomcat versions
* Content-type fix for deploying via mod_jk
* Hostname fix for registration URLs
* Switched from .png to .gif for windows.  Also fixed CSS for windows browser engine.

Version 1.3
* Huge thumbnail image quality improvements
* CSS fixes, much more customizable
* New URL format, no more SmallThumb, LargeThumb, VariableThumb
* More icons for custom file types
* Standardized default home directory path for Mac and Windows platforms
	Mac: /Users/Shared/SuperContainer
	Windows: C:\Documents and Settings\SuperContainer

Version 1.2
* Standalone server
* Plugin rewrite to work with new URLs
